adambom/parallel.js 软件分析报告

基础信息

项目名称:adambom/parallel.js

项目徽章:

Security Status

仓库地址:https://github.com/pterodactyl/panel

检测报告地址:https://www.murphysec.com/console/report/1715517103028355072/1715517103368093696

此报告由Murphysec提供

漏洞列表

漏洞名称 漏洞类型 MPS编号 CVE编号 漏洞等级
Ajv v6.12.2 输入验证错误漏洞 MAID MPS-2020-10525 CVE-2020-15366 中危
org.webjars.bower:underscore 代码注入漏洞 代码注入 MPS-2021-3658 CVE-2021-23358 高危
node-semver 安全漏洞 ReDoS MPS-2022-5166 CVE-2022-25883 高危
minimatch 资源管理错误漏洞 拒绝服务 MPS-2022-59845 CVE-2022-3517 高危
Tauri 原型污染漏洞 原型污染 MPS-2022-65568 CVE-2022-46175 高危
word-wrap 安全漏洞 ReDoS MPS-2023-5109 CVE-2023-26115 高危
Babel 插件任意代码执行漏洞漏洞【Poc公开】 不完整的黑名单 MPS-avb9-j50z CVE-2023-45133 严重

缺陷组件

组件名称 版本 最小修复版本 依赖关系 修复建议
underscore 1.9.2 1.13.0-2 间接依赖 建议修复
@babel/traverse 7.12.1 8.0.0-alpha.4 间接依赖 建议修复
@babel/traverse 7.9.0 8.0.0-alpha.4 间接依赖 建议修复
word-wrap 1.2.3 1.2.4 间接依赖 建议修复
json5 2.1.2 2.2.2 间接依赖 建议修复
minimatch 3.0.4 3.0.5 间接依赖 建议修复
semver 7.3.2 7.5.2 间接依赖 可选修复
semver 6.3.0 7.5.2 间接依赖 可选修复
semver 7.2.2 7.5.2 间接依赖 可选修复
ajv 6.12.0 6.12.3 间接依赖 可选修复
semver 5.7.1 7.5.2 间接依赖 可选修复

许可证风险

许可证类型 相关组件 许可证风险
MIT 197
ISC 20
CC0-1.0 1
CC-BY-4.0 2
BSD-2-Clause 13
Apache-2.0 8
BSD-3-Clause 4

SBOM清单

组件名称 组件版本 是否直接依赖 仓库
json-stable-stringify-without-jsonify 1.0.1 间接依赖 npm
gaze 1.1.3 间接依赖 npm
punycode 2.1.1 间接依赖 npm
eslint-plugin-promise 4.2.1 间接依赖 npm
@eslint/eslintrc 0.2.2 间接依赖 npm
ignore 4.0.6 间接依赖 npm
eslint-plugin-compat 3.6.0 间接依赖 npm
mdn-browser-compat-data 1.0.20 间接依赖 npm
load-json-file 2.0.0 间接依赖 npm
@babel/types 7.9.0 间接依赖 npm
@babel/helper-simple-access 7.12.1 间接依赖 npm
@babel/helper-split-export-declaration 7.10.4 间接依赖 npm
path-is-absolute 1.0.1 间接依赖 npm
supports-color 5.5.0 间接依赖 npm
confusing-browser-globals 1.0.9 间接依赖 npm
@babel/types 7.12.1 间接依赖 npm
caniuse-lite 1.0.30001230 间接依赖 npm
@babel/parser 7.12.3 间接依赖 npm
@babel/helper-module-transforms 7.12.1 间接依赖 npm
color-name 1.1.3 间接依赖 npm
chalk 2.4.2 间接依赖 npm
debug 4.1.1 间接依赖 npm
extend 3.0.2 间接依赖 npm
escape-string-regexp 1.0.5 间接依赖 npm
esrecurse 4.2.1 间接依赖 npm
@babel/parser 7.9.2 间接依赖 npm
is-string 1.0.5 间接依赖 npm
semver 5.7.1 间接依赖 npm
object.entries 1.1.1 间接依赖 npm
color-convert 2.0.1 间接依赖 npm
enquirer 2.3.5 间接依赖 npm
q 1.5.1 直接依赖 npm
acorn 7.4.0 间接依赖 npm
@babel/generator 7.12.1 间接依赖 npm
@babel/helper-validator-identifier 7.10.4 间接依赖 npm
semver 7.3.2 间接依赖 npm
convert-source-map 1.7.0 间接依赖 npm
uri-js 4.2.2 间接依赖 npm
eslint-utils 2.1.0 间接依赖 npm
is-regex 1.0.5 间接依赖 npm
has-flag 3.0.0 间接依赖 npm
functional-red-black-tree 1.0.1 间接依赖 npm
caniuse-db 1.0.30001058 间接依赖 npm
has-flag 4.0.0 间接依赖 npm
@babel/traverse 7.12.1 间接依赖 npm
eslint 7.15.0 直接依赖 npm
eslint-scope 5.0.0 间接依赖 npm
esrecurse 4.3.0 间接依赖 npm
@babel/helper-module-imports 7.12.1 间接依赖 npm
jasmine-node 3.0.0 直接依赖 npm
ansi-styles 4.2.1 间接依赖 npm
flow-bin 0.124.0 间接依赖 npm
isexe 2.0.0 间接依赖 npm
color-name 1.1.4 间接依赖 npm
@babel/traverse 7.9.0 间接依赖 npm
@babel/helper-split-export-declaration 7.11.0 间接依赖 npm
eslint-plugin-import 2.20.2 间接依赖 npm
eslint-config-bliss 5.0.0 直接依赖 npm
fast-levenshtein 2.0.6 间接依赖 npm
ansi-colors 3.2.4 间接依赖 npm
@babel/helpers 7.12.1 间接依赖 npm
array-includes 3.1.1 间接依赖 npm
resolve 1.15.1 间接依赖 npm
eslint-config-prettier 6.11.0 间接依赖 npm
find-up 2.1.0 间接依赖 npm
argparse 1.0.10 间接依赖 npm
read-pkg-up 2.0.0 间接依赖 npm
flat-cache 3.0.4 间接依赖 npm
prelude-ls 1.2.1 间接依赖 npm
eslint-module-utils 2.5.2 间接依赖 npm
underscore 1.9.2 间接依赖 npm
object.assign 4.1.0 间接依赖 npm
define-properties 1.1.3 间接依赖 npm
jasmine-reporters 1.0.2 间接依赖 npm
shebang-regex 3.0.0 间接依赖 npm
array.prototype.flat 1.2.3 间接依赖 npm
glob-parent 5.1.2 间接依赖 npm
minimist 1.2.6 间接依赖 npm
@babel/helper-get-function-arity 7.8.3 间接依赖 npm
acorn-jsx 5.3.1 间接依赖 npm
parent-module 1.0.1 间接依赖 npm
browserslist 4.16.6 间接依赖 npm
tslib 1.11.1 间接依赖 npm
esutils 2.0.3 间接依赖 npm
locate-path 2.0.0 间接依赖 npm
pkg-dir 2.0.0 间接依赖 npm
@babel/plugin-proposal-class-properties 7.12.1 直接依赖 npm
@babel/code-frame 7.10.4 间接依赖 npm
walkdir 0.0.12 间接依赖 npm
validate-npm-package-license 3.0.4 间接依赖 npm
@babel/helper-validator-identifier 7.9.0 间接依赖 npm
electron-to-chromium 1.3.739 间接依赖 npm
es-to-primitive 1.2.1 间接依赖 npm
@babel/highlight 7.10.4 间接依赖 npm
estraverse 5.2.0 间接依赖 npm
mkdirp 0.3.5 间接依赖 npm
eslint-visitor-keys 1.3.0 间接依赖 npm
ast-metadata-inferer 0.1.1 间接依赖 npm
@babel/helper-split-export-declaration 7.8.3 间接依赖 npm
escalade 3.1.1 间接依赖 npm
@babel/core 7.12.3 直接依赖 npm
globals 12.4.0 间接依赖 npm
ansi-regex 5.0.0 间接依赖 npm
path-parse 1.0.7 间接依赖 npm
string-width 3.1.0 间接依赖 npm
cross-spawn 7.0.2 间接依赖 npm
doctrine 3.0.0 间接依赖 npm
espree 7.3.0 间接依赖 npm
@babel/highlight 7.9.0 间接依赖 npm
strip-bom 3.0.0 间接依赖 npm
type-check 0.4.0 间接依赖 npm
@babel/types 7.10.4 间接依赖 npm
progress 2.0.3 间接依赖 npm
path-exists 3.0.0 间接依赖 npm
node-releases 1.1.72 间接依赖 npm
table 5.4.6 间接依赖 npm
json-schema-traverse 0.4.1 间接依赖 npm
normalize-package-data 2.5.0 间接依赖 npm
supports-color 7.1.0 间接依赖 npm
inflight 1.0.6 间接依赖 npm
shebang-command 2.0.0 间接依赖 npm
ms 2.1.2 间接依赖 npm
is-ci 3.0.1 直接依赖 npm
requirejs 2.3.6 间接依赖 npm
natural-compare 1.4.0 间接依赖 npm
eslint-visitor-keys 2.0.0 间接依赖 npm
@babel/generator 7.9.0 间接依赖 npm
flatted 3.1.0 间接依赖 npm
@babel/parser 7.10.4 间接依赖 npm
@babel/helper-create-class-features-plugin 7.12.1 间接依赖 npm
globals 11.12.0 间接依赖 npm
prettier 2.0.5 间接依赖 npm
get-stdin 6.0.0 间接依赖 npm
ansi-regex 4.1.0 间接依赖 npm
concat-map 0.0.1 间接依赖 npm
fast-json-stable-stringify 2.1.0 间接依赖 npm
semver 6.3.0 间接依赖 npm
is-fullwidth-code-point 2.0.0 间接依赖 npm
eslint-import-resolver-node 0.3.3 间接依赖 npm
eslint-visitor-keys 1.1.0 间接依赖 npm
p-locate 2.0.0 间接依赖 npm
prettier-linter-helpers 1.0.0 间接依赖 npm
@babel/helper-replace-supers 7.12.1 间接依赖 npm
object-keys 1.1.1 间接依赖 npm
@types/json-schema 7.0.4 间接依赖 npm
has-symbols 1.0.1 间接依赖 npm
to-fast-properties 2.0.0 间接依赖 npm
pify 2.3.0 间接依赖 npm
@babel/helper-member-expression-to-functions 7.12.1 间接依赖 npm
brace-expansion 1.1.11 间接依赖 npm
balanced-match 1.0.0 间接依赖 npm
lodash.memoize 4.1.2 间接依赖 npm
globule 1.3.1 间接依赖 npm
esquery 1.3.1 间接依赖 npm
strip-ansi 6.0.0 间接依赖 npm
object-inspect 1.7.0 间接依赖 npm
strip-json-comments 3.1.0 间接依赖 npm
@babel/template 7.10.4 间接依赖 npm
has 1.0.3 间接依赖 npm
es-abstract 1.17.4 间接依赖 npm
ms 2.0.0 间接依赖 npm
deep-is 0.1.3 间接依赖 npm
growl 1.10.5 间接依赖 npm
callsites 3.1.0 间接依赖 npm
@babel/helper-optimise-call-expression 7.10.4 间接依赖 npm
js-yaml 3.13.1 间接依赖 npm
fast-diff 1.2.0 间接依赖 npm
ajv 6.12.4 间接依赖 npm
debug 2.6.9 间接依赖 npm
word-wrap 1.2.3 间接依赖 npm
isarray 1.0.0 间接依赖 npm
minimatch 3.0.4 间接依赖 npm
text-table 0.2.0 间接依赖 npm
function-bind 1.1.1 间接依赖 npm
wrappy 1.0.2 间接依赖 npm
babel-eslint 10.1.0 间接依赖 npm
@typescript-eslint/typescript-estree 2.24.0 间接依赖 npm
json5 2.1.2 间接依赖 npm
doctrine 1.5.0 间接依赖 npm
@babel/helper-get-function-arity 7.10.4 间接依赖 npm
contains-path 0.1.0 间接依赖 npm
strip-ansi 5.2.0 间接依赖 npm
jsesc 2.5.2 间接依赖 npm
resolve-from 4.0.0 间接依赖 npm
estraverse 5.1.0 间接依赖 npm
is-symbol 1.0.3 间接依赖 npm
coffeescript 1.12.7 间接依赖 npm
astral-regex 1.0.0 间接依赖 npm
object.values 1.1.1 间接依赖 npm
core-js 3.6.5 间接依赖 npm
@babel/code-frame 7.8.3 间接依赖 npm
gensync 1.0.0-beta.1 间接依赖 npm
jasmine-growl-reporter 2.0.0 间接依赖 npm
@babel/helper-plugin-utils 7.10.4 间接依赖 npm
acorn-jsx 5.2.0 间接依赖 npm
js-tokens 4.0.0 间接依赖 npm
ci-info 3.4.0 间接依赖 npm
strip-json-comments 3.1.1 间接依赖 npm
eslint-config-airbnb-base 14.1.0 间接依赖 npm
semver 7.2.2 间接依赖 npm
hosted-git-info 2.8.9 间接依赖 npm
@babel/types 7.11.0 间接依赖 npm
@babel/helper-function-name 7.10.4 间接依赖 npm
eslint-plugin-jest 23.11.0 间接依赖 npm
source-map 0.5.7 间接依赖 npm
eslint-scope 5.1.1 间接依赖 npm
is-date-object 1.0.2 间接依赖 npm
espree 7.3.1 间接依赖 npm
estraverse 4.3.0 间接依赖 npm
path-key 3.1.1 间接依赖 npm
graceful-fs 4.2.3 间接依赖 npm
is-glob 4.0.1 间接依赖 npm
emoji-regex 7.0.3 间接依赖 npm
lodash 4.17.21 间接依赖 npm
is-callable 1.1.5 间接依赖 npm
fast-deep-equal 3.1.1 间接依赖 npm
read-pkg 2.0.0 间接依赖 npm
imurmurhash 0.1.4 间接依赖 npm
@babel/template 7.8.6 间接依赖 npm
sprintf-js 1.0.3 间接依赖 npm
is-extglob 2.1.1 间接依赖 npm
@typescript-eslint/experimental-utils 2.24.0 间接依赖 npm
type-fest 0.8.1 间接依赖 npm
regexpp 3.1.0 间接依赖 npm
string.prototype.trimright 2.1.1 间接依赖 npm
path-type 2.0.0 间接依赖 npm
chalk 4.0.0 间接依赖 npm
inherits 2.0.4 间接依赖 npm
slice-ansi 2.1.0 间接依赖 npm
rimraf 3.0.2 间接依赖 npm
safe-buffer 5.1.2 间接依赖 npm
glob 7.1.6 间接依赖 npm
esprima 4.0.1 间接依赖 npm
string.prototype.trimleft 2.1.1 间接依赖 npm
eslint-plugin-prettier 3.1.3 间接依赖 npm
v8-compile-cache 2.1.0 间接依赖 npm
once 1.4.0 间接依赖 npm
parse-json 2.2.0 间接依赖 npm
@babel/helper-function-name 7.8.3 间接依赖 npm
levn 0.4.1 间接依赖 npm
import-fresh 3.2.1 间接依赖 npm
@types/color-name 1.1.1 间接依赖 npm
tsutils 3.17.1 间接依赖 npm
which 2.0.2 间接依赖 npm
file-entry-cache 6.0.0 间接依赖 npm
color-convert 1.9.3 间接依赖 npm
ansi-styles 3.2.1 间接依赖 npm
optionator 0.9.1 间接依赖 npm
ajv 6.12.0 间接依赖 npm
colorette 1.2.2 间接依赖 npm
fs.realpath 1.0.0 间接依赖 npm
(0)
上一篇 2023年10月23日
下一篇 2023年10月23日

相关推荐

  • eudicots/Cactus 软件分析报告

    基础信息 项目名称:eudicots/Cactus 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1721172569368891392/1727950602518355968 此报告由Murphysec提供 漏洞…

    软件分析 2023年11月24日
    0
  • kolyvan/kxmenu 软件分析报告

    基础信息 项目名称:kolyvan/kxmenu 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1721344450096877568/1727062061277995008 此报告由Murphysec提供 漏洞列…

    软件分析 2023年11月22日
    0
  • cloudcomponents/cdk-constructs 软件分析报告

    基础信息 项目名称:cloudcomponents/cdk-constructs 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1716733818991935488/1716733819050655744 此报告…

    软件分析 2023年10月24日
    0
  • git-chglog/git-chglog 软件分析报告

    基础信息 项目名称:git-chglog/git-chglog 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1718119668162101248/1718119668212432896 此报告由Murphyse…

    软件分析 2023年10月28日
    0
  • johnscode/ioscustompicker1 软件分析报告

    基础信息 项目名称:johnscode/ioscustompicker1 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1721316714682863616/1724269599165734912 此报告由Mur…

    软件分析 2023年11月14日
    0